{% extends 'accountent/base.html' %}

{% block page_name %}Import Bank Statement: Setup{% endblock %}
{% block page_description %}Select which fields we should import{% endblock %}

{% block form_action %}{% url 'accountent:bank_import_setup' transaction_import.uuid %}{% endblock form_action %}
{% block form_method %}post{% endblock form_method %}
{% block form_data %}enctype="multipart/form-data"{% endblock form_data %}

{% block header_button %}
{% block actions %}
    <input type="submit" class="btn btn-primary pull-right" value="Continue...">
{% endblock %}
{% endblock header_button %}


{% block content %}
    {% block form_content %}
        {% include 'accountent/partials/form.html' with form=form %}
        {{ formset.management_form }}
        {% for f in formset %}
            <div class="row">
                <div class="col-xs-6">
                    <h4>
                        {% if f.instance.column_heading %}
                            Column: {{ f.instance.column_heading }}
                        {% else %}
                            Column {{ f.instance.column_number }}
                        {% endif %}
                            <h5>
                                {% if f.instance.example %}
                                    Example data: <strong>{{ f.instance.example }}</strong>
                                {% else %}
                                    <em>No data in column</em>
                                {% endif %}
                            </h5>

                    </h4>
                </div>
                <div class="col-xs-6">
                    {% include 'accountent/partials/form.html' with form=f %}
                </div>
            </div>
        {% endfor %}
    {% endblock %}
{% endblock %}